org.eclipse.rdf4j.query.algebra.evaluation.limited.iterator

## Class LimitedSizeZeroLengthPathIteration

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,X>
  - - org.eclipse.rdf4j.common.iteration.LookAheadIteration<BindingSet,QueryEvaluationException>
    - - org.eclipse.rdf4j.query.algebra.evaluation.iterator.ZeroLengthPathIteration
      - - org.eclipse.rdf4j.query.algebra.evaluation.limited.iterator.LimitedSizeZeroLengthPathIteration

- All Implemented Interfaces:
    AutoCloseable, CloseableIteration<BindingSet,QueryEvaluationException>, Iteration<BindingSet,QueryEvaluationException>

      public class LimitedSizeZeroLengthPathIteration
      extends ZeroLengthPathIteration

  Author:
    Jerven Bolleman, SIB Swiss Institute of Bioinformatics

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LimitedSizeZeroLengthPathIteration(EvaluationStrategy evaluationStrategyImpl, Var subjectVar, Var objVar, Value subj, Value obj, Var contextVar, BindingSet bindings, AtomicLong used, long maxSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `add(Set<Value> reportedValues2, Value v)` add param v to the set reportedValues2

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.iterator.ZeroLengthPathIteration

      `createAnonVar, getNextElement`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.LookAheadIteration

      `handleClose, hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### LimitedSizeZeroLengthPathIteration

          public LimitedSizeZeroLengthPathIteration(EvaluationStrategy evaluationStrategyImpl,
                                                    Var subjectVar,
                                                    Var objVar,
                                                    Value subj,
                                                    Value obj,
                                                    Var contextVar,
                                                    BindingSet bindings,
                                                    AtomicLong used,
                                                    long maxSize)

      Parameters:
        `evaluationStrategyImpl` -
        `subjectVar` -
        `objVar` -
        `subj` -
        `obj` -
        `contextVar` -
        `bindings` -

  - ### Method Detail

    - #### add

          protected boolean add(Set<Value> reportedValues2,
                                Value v)
                         throws QueryEvaluationException

      Description copied from class: `ZeroLengthPathIteration`
      add param v to the set reportedValues2
      Overrides:
        `add` in class `ZeroLengthPathIteration`
      Returns:
        true if v added to set and not yet present
      Throws:
        `QueryEvaluationException`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.